Bug 107492 - KMines Solving Rate gives a SIGSEGV
KMines Solving Rate gives a SIGSEGV
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kdegames (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-19 08:07 EDT by Anssi Johansson
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-08 06:15:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anssi Johansson 2003-10-19 08:07:02 EDT
From Bugzilla Helper: 
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.1; Linux) 
 
Description of problem: 
When I select Adviser -> Solving Rate and press the Start button, KMines 
starts the test and somewhere during the testing KMines crashes and I get a 
KDE crash handler window stating that KMines has crashed and caused the signal 
11 (SIGSEGV). 
 
The exact time when the crash occurs varies. Sometimes it reaches over 100 
test cases before crashing, but sometimes it crashes right in the beginning. 
 
Version-Release number of selected component (if applicable): 
kdegames-3.1.4-1 
 
How reproducible: 
Always 
 
Steps to Reproduce: 
1. Start KMines 
2. Select Adviser -> Solving Rate 
3. Press Start 
     
 
Actual Results:  I got a SIGSEGV error message and the program ended. 
 
Expected Results:  The program shouldn't have crashed.
Comment 1 Anssi Johansson 2003-10-19 08:14:28 EDT
The exact KMines version is: 
 
KMines 2.1.7e (11 May 2003) (Using KDE 3.1.4-2 Red Hat) 
Comment 2 Ngo Than 2004-10-08 06:15:40 EDT
it's not reproduceable in current FC2 and FC3test3.

Note You need to log in before you can comment on or make changes to this bug.